/**************************************************************************
 *  File name  :  help.h
 *
 *  Description:  This header file contains the identifiers for the
 *                constants used by the help manager.
 *
 *  Concepts   :  help manager
 *
 *  API's      :  [none]
 *
 *  Required
 *    Files    :  [none]
 *
 *  (c) Copyright IBM Corp. 1991, 1998  All rights reserved.
 *
 *  These sample programs are owned by International Business Machines
 *  Corporation or one of its subsidiaries ("IBM") and are copyrighted and
 *  licensed, not sold.
 *
 *  You may copy, modify, and distribute these sample programs in any
 *  form without payment to IBM, for any purpose including developing,
 *  using, marketing or distributing programs that include or are
 *  derivative works of the sample programs.
 *
 *  The sample programs are provided to you on an "AS IS" basis, without
 *  warranty of any kind.  IBM HEREBY EXPRESSLY DISCLAIMS ALL WARRANTIES,
 *  EITHER EXPRESS OR IMPLIED, INCLUDING , BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *  Some jurisdictions do not allow for the exclusion or limitation of
 *  implied warranties, so the above limitations or exclusions may not
 *  apply to you.  IBM shall not be liable for any damages you suffer
 *  as a result of using, modifying or distributing the sample programs
 *  or their derivatives.
 *************************************************************************/

/*
 *  Help table and subtables
 */
#define TEMPLATE_HELP_TABLE                 1000
#define SUBTABLE_MAIN                       2000
#define SUBTABLE_PRODUCTINFODLG             3000


/*
 *  Main window help panels
 */
#define PANEL_MAIN                          2100
#define PANEL_PRODUCTINFODLG                3100


#define PANEL_HELP                          2910
#define PANEL_HELPINDEX                     2920
#define PANEL_HELPGENERAL                   2930
#define PANEL_HELPUSINGHELP                 2940
#define PANEL_HELPKEYS                      2950
#define PANEL_HELPTUTORIAL                  2960
#define PANEL_HELPPRODUCTINFO               2970

/*
 *  Enter text dialog help subtable
 */
#define PANEL_PRODUCTINFO_OK                3110

#define HID_FS_OPEN_DLG_HELP_PANEL          4163
#define HID_FS_SAVE_DLG_HELP_PANEL          4210
/***************************  End of help.h  ****************************/
